Contents

# Statistical Functions Part Two

## F.DIST

Calculates the values of the left tail of the F distribution.

#### Syntax

F.DIST(Number; DegreesFreedom1; DegreesFreedom2 [; Cumulative])

Number is the value for which the F distribution is to be calculated.

degreesFreedom1 is the degrees of freedom in the numerator in the F distribution.

degreesFreedom2 is the degrees of freedom in the denominator in the F distribution.

Cumulative = 0 or False calculates the density function Cumulative = 1 or True calculates the distribution.

#### Example

=F.DIST(0.8;8;12;0) yields 0.7095282499.

=F.DIST(0.8;8;12;1) yields 0.3856603563.

#### Technical information

This function is available since LibreOfficeDev 4.2.

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.F.DIST

## FDIST

Calculates the values of an F distribution.

#### Syntax

FDIST(Number; DegreesFreedom1; DegreesFreedom2)

Number is the value for which the F distribution is to be calculated.

degreesFreedom1 is the degrees of freedom in the numerator in the F distribution.

degreesFreedom2 is the degrees of freedom in the denominator in the F distribution.

For Integer arguments, non-integer values are truncated to Integer.

#### Example

=FDIST(0.8;8;12) yields 0.61.

## F.DIST.RT

Calculates the values of the right tail of the F distribution.

#### Syntax

F.DIST.RT(Number; DegreesFreedom1; DegreesFreedom2)

Number is the value for which the F distribution is to be calculated.

degreesFreedom1 is the degrees of freedom in the numerator in the F distribution.

degreesFreedom2 is the degrees of freedom in the denominator in the F distribution.

#### Example

=F.DIST.RT(0.8;8;12) yields 0.6143396437.

#### Technical information

This function is available since LibreOfficeDev 4.2.

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.F.DIST.RT

## F.INV

Returns the inverse of the cumulative F distribution. The F distribution is used for F tests in order to set the relation between two differing data sets.

#### Syntax

F.INV(Number; DegreesFreedom1; DegreesFreedom2)

Number is probability value for which the inverse F distribution is to be calculated.

DegreesFreedom1 is the number of degrees of freedom in the numerator of the F distribution.

DegreesFreedom2 is the number of degrees of freedom in the denominator of the F distribution.

#### Example

=F.INV(0.5;5;10) yields 0.9319331609.

#### Technical information

This function is available since LibreOfficeDev 4.2.

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.F.INV

## FINV

Returns the inverse of the F probability distribution. The F distribution is used for F tests in order to set the relation between two differing data sets.

#### Syntax

FINV(Number; DegreesFreedom1; DegreesFreedom2)

Number is probability value for which the inverse F distribution is to be calculated.

DegreesFreedom1 is the number of degrees of freedom in the numerator of the F distribution.

DegreesFreedom2 is the number of degrees of freedom in the denominator of the F distribution.

For Integer arguments, non-integer values are truncated to Integer.

#### Example

=FINV(0.5;5;10) yields 0.93.

## F.INV.RT

Returns the inverse right tail of the F distribution.

#### Syntax

F.INV.RT(Number; DegreesFreedom1; DegreesFreedom2)

Number is probability value for which the inverse F distribution is to be calculated.

DegreesFreedom1 is the number of degrees of freedom in the numerator of the F distribution.

DegreesFreedom2 is the number of degrees of freedom in the denominator of the F distribution.

#### Example

=F.INV.RT(0.5;5;10) yields 0.9319331609.

#### Technical information

This function is available since LibreOfficeDev 4.2.

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.F.INV.RT

## FISHER

Returns the Fisher transformation for x and creates a function close to a normal distribution.

#### Syntax

FISHER(Number)

Number is the value to be transformed.

#### Example

=FISHER(0.5) yields 0.55.

## FISHERINV

Returns the inverse of the Fisher transformation for x and creates a function close to a normal distribution.

#### Syntax

FISHERINV(Number)

Number is the value that is to undergo reverse-transformation.

#### Example

=FISHERINV(0.5) yields 0.46.

## F.TEST

Returns the result of an F test.

#### Syntax

F.TEST(Data1; Data2)

Data1 is the first record array.

Data2 is the second record array.

#### Example

=F.TEST(A1:A30;B1:B12) calculates whether the two data sets are different in their variance and returns the probability that both sets could have come from the same total population.

#### Technical information

This function is available since LibreOfficeDev 4.2.

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.F.TEST

## FTEST

Returns the result of an F test.

#### Syntax

FTEST(Data1; Data2)

Data1 is the first record array.

Data2 is the second record array.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=FTEST(A1:A30;B1:B12) calculates whether the two data sets are different in their variance and returns the probability that both sets could have come from the same total population.

## GAMMA

Returns the Gamma function value. Note that GAMMAINV is not the inverse of GAMMA, but of GAMMADIST.

#### Syntax

GAMMA(Number)

Number is the number for which the Gamma function value is to be calculated.

## GAMMA.DIST

Returns the values of a Gamma distribution.

The inverse function is GAMMAINV or GAMMA.INV.

This function is similar to GAMMADIST and was introduced for interoperability with other office suites.

#### Syntax

GAMMA.DIST(Number; Alpha; Beta; Cumulative)

Number is the value for which the Gamma distribution is to be calculated.

Alpha is the parameter Alpha of the Gamma distribution.

Beta is the parameter Beta of the Gamma distribution.

Cumulative = 0 or False calculates the probability density function; Cumulative = 1, True, or any other value calculates the cumulative distribution function.

#### Example

=GAMMA.DIST(2;1;1;1) yields 0.86.

#### Technical information

This function is available since LibreOfficeDev 4.3.

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.GAMMA.DIST

## GAMMADIST

Returns the values of a Gamma distribution.

The inverse function is GAMMAINV.

#### Syntax

GAMMADIST(Number; Alpha; Beta [; C])

Number is the value for which the Gamma distribution is to be calculated.

Alpha is the parameter Alpha of the Gamma distribution.

Beta is the parameter Beta of the Gamma distribution.

C (optional) = 0 or False calculates the density function C = 1 or True calculates the distribution.

#### Example

=GAMMADIST(2;1;1;1) yields 0.86.

## GAMMA.INV

Returns the inverse of the Gamma cumulative distribution GAMMADIST. This function allows you to search for variables with different distribution.

This function is identical to GAMMAINV and was introduced for interoperability with other office suites.

#### Syntax

GAMMA.INV(Number; Alpha; Beta)

Number is the probability value for which the inverse Gamma distribution is to be calculated.

Alpha is the parameter Alpha of the Gamma distribution.

Beta is the parameter Beta of the Gamma distribution.

#### Example

=GAMMA.INV(0.8;1;1) yields 1.61.

#### Technical information

This function is available since LibreOfficeDev 4.3.

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.GAMMA.INV

## GAMMAINV

Returns the inverse of the Gamma cumulative distribution GAMMADIST. This function allows you to search for variables with different distribution.

#### Syntax

GAMMAINV(Number; Alpha; Beta)

Number is the probability value for which the inverse Gamma distribution is to be calculated.

Alpha is the parameter Alpha of the Gamma distribution.

Beta is the parameter Beta of the Gamma distribution.

#### Example

=GAMMAINV(0.8;1;1) yields 1.61.

## GAMMALN

Returns the natural logarithm of the Gamma function: G(x).

#### Syntax

GAMMALN(Number)

Number is the value for which the natural logarithm of the Gamma function is to be calculated.

#### Example

=GAMMALN(2) yields 0.

## GAMMALN.PRECISE

Returns the natural logarithm of the Gamma function: G(x).

#### Syntax

GAMMALN.PRECISE(Number)

Number is the value for which the natural logarithm of the Gamma function is to be calculated.

#### Example

=GAMMALN.PRECISE(2) yields 0.

#### Technical information

This function is available since LibreOfficeDev 4.3.

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.GAMMALN.PRECISE

## GAUSS

Returns the standard normal cumulative distribution.

It is GAUSS(x)=NORMSDIST(x)-0.5

#### Syntax

GAUSS(Number)

Number is the value for which the value of the standard normal distribution is to be calculated.

#### Example

=GAUSS(0.19) = 0.08

=GAUSS(0.0375) = 0.01

## GEOMEAN

Returns the geometric mean of a sample.

#### Syntax

GEOMEAN(Argument 1 [; Argument 2 [; … [; Argument 255]]])

Argument 1; Argument 2; … ; Argument 255 are numbers, text, references to cells or to cell ranges of numbers or text.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=GEOMEAN(23;46;69) = 41.79. The geometric mean value of this random sample is therefore 41.79.

## HARMEAN

Returns the harmonic mean of a data set.

#### Syntax

HARMEAN(Argument 1 [; Argument 2 [; … [; Argument 255]]])

Argument 1; Argument 2; … ; Argument 255 are numbers, text, references to cells or to cell ranges of numbers or text.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=HARMEAN(23;46;69) = 37.64. The harmonic mean of this random sample is thus 37.64

## HYPGEOM.DIST

Returns the hypergeometric distribution.

#### Syntax

HYPGEOM.DIST(X; NSample; Successes; NPopulation; Cumulative)

X is the number of results achieved in the random sample.

NSample is the size of the random sample.

Successes is the number of possible results in the total population.

NPopulation is the size of the total population.

Cumulative : 0 or False calculates the probability density function. Other values or True calculates the cumulative distribution function.

#### Example

=HYPGEOM.DIST(2;2;90;100;0) yields 0.8090909091. If 90 out of 100 pieces of buttered toast fall from the table and hit the floor with the buttered side first, then if 2 pieces of buttered toast are dropped from the table, the probability is 81%, that both will strike buttered side first.

=HYPGEOM.DIST(2;2;90;100;1) yields 1.

#### Technical information

This function is available since LibreOfficeDev 4.2.

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.HYPGEOM.DIST

## HYPGEOMDIST

Returns the hypergeometric distribution.

#### Syntax

HYPGEOMDIST(X; NSample; Successes; NPopulation [; Cumulative])

X is the number of results achieved in the random sample.

NSample is the size of the random sample.

Successes is the number of possible results in the total population.

NPopulation is the size of the total population.

Cumulative (optional) specifies whether to calculate the probability mass function (FALSE or 0) or the cumulative distribution function (any other value). The probability mass function is the default if no value is specified for this parameter.

#### Example

=HYPGEOMDIST(2;2;90;100) yields 0.81. If 90 out of 100 pieces of buttered toast fall from the table and hit the floor with the buttered side first, then if 2 pieces of buttered toast are dropped from the table, the probability is 81%, that both will strike buttered side first.

## TRIMMEAN

Returns the mean of a data set without the Alpha percent of data at the margins.

#### Syntax

TRIMMEAN(Data; Alpha)

Data is the array of data in the sample.

Alpha is the percentage of the marginal data that will not be taken into consideration.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=TRIMMEAN(A1:A50; 0.1) calculates the mean value of numbers in A1:A50, without taking into consideration the 5 percent of the values representing the highest values and the 5 percent of the values representing the lowest ones. The percentage numbers refer to the amount of the untrimmed mean value, not to the number of summands.

## Z.TEST

Calculates the probability of observing a z-statistic greater than the one computed based on a sample.

#### Syntax

Z.TEST(Data; mu [; Sigma])

Data is the given sample, drawn from a normally distributed population.

mu is the known mean of the population.

Sigma (optional) is the known standard deviation of the population. If omitted, the standard deviation of the given sample is used.

#### Example

=Z.TEST(A2:A20; 9; 2) returns the result of a z-test on a sample A2:A20 drawn from a population with known mean 9 and known standard deviation 2.

#### Technical information

This function is available since LibreOfficeDev 4.3.

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.Z.TEST

## ZTEST

Calculates the probability of observing a z-statistic greater than the one computed based on a sample.

#### Syntax

ZTEST(Data; mu [; Sigma])

Data is the given sample, drawn from a normally distributed population.

mu is the known mean of the population.

Sigma (optional) is the known standard deviation of the population. If omitted, the standard deviation of the given sample is used.

See also the Wiki page.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

Related Topics

Functions by Category

Please support us!